#
# spec file for package hypermail (Version 2.1.2)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  apache apache-devel mm
# usedforbuild    aaa_base aaa_dir base bash bindutil bison bzip compress cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim apache apache-devel autoconf automake binutils cracklib gcc gdbm gettext libtool libz mm pam perl rpm

Name:         hypermail
Copyright:    GPL
Group:        Applications/Mail 
Provides:     hypemail
Obsoletes:    hypemail
Autoreqprov:  on
Version:      2.1.2
Release:      141
Url:          http://www.hypermail.org/
Summary:      Convert mail archives in mailbox format to HTML pages
Source:       http://www.hypermail.org/dist/%{name}-%{version}.tar.bz2
Patch:        %{name}-%{version}-docs.patch
Patch1:       %{name}-%{version}-s390.patch
Patch2:       %{name}-%{version}-audit.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Hypermail is a program that takes a file of mail messages
in mailbox format and generates a set of cross-referenced
HTML documents.  Each file that is created represents
a separate message in the mail archive and contains links
to other articles, so that the entire archive can be
browsed in a number of ways by following links.  Archives
generated by Hypermail can be incrementally updated, and
Hypermail is set by default to only update archives when
changes are detected.

Authors:
--------
    Kevin Hughes <kevinh@eit.com>

SuSE series: ap

%prep
%setup
%patch
%patch1
%patch2

%build
%{?suse_update_config:%{suse_update_config}}
libtoolize --force
aclocal
autoconf
export CFLAGS="$RPM_OPT_FLAGS"
./configure --prefix=/usr \
            --mandir=%{_mandir} --infodir=%{_infodir} \
	    --with-htmldir=%{_defaultdocdir}/hypermail/docs \
	    --with-httpddir=/usr/local/httpd
make

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT/usr \
     mandir=$RPM_BUILD_ROOT/%{_mandir} \
     infodir=$RPM_BUILD_ROOT/%{_infodir} \
     htmldir=$RPM_BUILD_ROOT/%{_defaultdocdir}/hypermail/docs install
make -C src cgidir=$RPM_BUILD_ROOT/usr/local/httpd/cgi-bin mail.install
cp -vr contrib/ $RPM_BUILD_ROOT/%{_defaultdocdir}/hypermail

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc docs/* contrib/*
%doc KNOWN_BUGS README TODO UPGRADE Changelog 
/usr/bin/hypermail
/usr/bin/msg2archive
/usr/bin/rdmsg
/usr/local/httpd/cgi-bin/mail
%doc %{_mandir}/man1/hypermail.1.gz
%doc %{_mandir}/man4/hmrc.4.gz

%changelog -n hypermail
* Mon Feb 24 2003 - tcrhak@suse.cz
- security fix for several security failures
* Wed Aug 29 2001 - adostal@suse.cz
- fix %%build (use aclocal...)
- create s390 patch
* Fri Aug 17 2001 - adostal@suse.cz
- update to version 2.1.2
- fix %%install and %%files (htmldir and doc)
* Mon Apr 09 2001 - pblaha@suse.cz
- update on 2.1.0
* Fri Feb 23 2001 - ro@suse.de
- changed neededforbuild <apache> to <apache apache-devel>
* Wed Nov 15 2000 - pblaha@suse.cz
- rename to hypermail
* Mon May 15 2000 - nadvornik@suse.cz
- added BuildRoot
- added URL
* Thu Apr 13 2000 - ro@suse.de
- added mm to neededforbuild
* Fri Jan 21 2000 - ro@suse.de
- specfile cleanup
* Thu Jan 20 2000 - ro@suse.de
- update to 2.0beta29
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Sep 28 1998 - ro@suse.de
- removed own version of strdup completely
* Sat Sep 26 1998 - ro@suse.de
- dont redeclare/redefine strdup for glibc
* Tue Nov 11 1997 - ro@suse.de
- fixed file-list
* Wed Oct 29 1997 - ro@suse.de
- first suse version 1.02
